#include <bits/stdc++.h>
#include "redica.h"
using namespace std;

void solve(int n, int k, int s) {
    vector <int> v;
    for (int i=0;i<n-1;i+=1) {
        v.push_back(query());
        s-=v.back();
    }
    v.push_back(s);
    submit(v);
    return;
}